CVE-2017-11112

Published: 08 July 2017

In ncurses 6.0, there is an attempted 0xffffffffffffffff access in the append_acs function of tinfo/parse_entry.c. It could lead to a remote denial of service attack if the terminfo library code is used to process untrusted terminfo data.

Priority

Negligible

CVSS 3 base score: 7.5

Status

Package Release Status
ncurses
Launchpad, Ubuntu, Debian
Upstream
Released (6.0+20170701-1)
Ubuntu 21.04 (Hirsute Hippo) Not vulnerable
(6.1-1ubuntu1)
Ubuntu 20.10 (Groovy Gorilla) Not vulnerable
(6.1-1ubuntu1)
Ubuntu 20.04 LTS (Focal Fossa) Not vulnerable
(6.1-1ubuntu1)
Ubuntu 18.04 LTS (Bionic Beaver) Not vulnerable
(6.1-1ubuntu1)
Ubuntu 16.04 ESM (Xenial Xerus) Needed

Ubuntu 14.04 ESM (Trusty Tahr) Needed